## libdata-session-perl 1.18

=== debian/changelog ===
libdata-session-perl (1.18-2) unstable; urgency=medium

  * Team upload.
  * No-change source-only re-upload.

 -- gregor herrmann <gregoa@debian.org>  Tue, 14 Feb 2023 21:59:20 +0100

libdata-session-perl (1.18-1) unstable; urgency=low

  * Initial release (Closes: #1031119).

 -- Mason James <mtj@kohaaloha.com>  Sun, 12 Feb 2023 15:49:27 +1300
