=== debian/control ===
Source: libdata-session-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Mason James <mtj@kohaaloha.com>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: libautovivification-perl <!nocheck>,
                     libcgi-pm-perl <!nocheck>,
                     libclass-load-perl <!nocheck>,
                     libconfig-tiny-perl <!nocheck>,
                     libdata-uuid-perl <!nocheck> | libossp-uuid-perl <!nocheck>,
                     libdbd-sqlite3-perl <!nocheck>,
                     libdbi-perl <!nocheck>,
                     libdbix-admin-createtable-perl <!nocheck>,
                     libdigest-sha-perl <!nocheck>,
                     libfile-slurper-perl <!nocheck>,
                     libfreezethaw-perl <!nocheck>,
                     libhash-fieldhash-perl <!nocheck>,
                     libjson-perl <!nocheck>,
                     libscalar-list-utils-perl <!nocheck>,
                     libtest-pod-perl <!nocheck>,
                     libtest-simple-perl <!nocheck>,
                     libtry-tiny-perl <!nocheck>,
                     libyaml-tiny-perl <!nocheck>,
                     perl
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libdata-session-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libdata-session-perl.git
Homepage: https://metacpan.org/release/Data-Session
Rules-Requires-Root: no

Package: libdata-session-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libautovivification-perl,
         libcgi-pm-perl,
         libclass-load-perl,
         libconfig-tiny-perl,
         libdata-uuid-perl | libossp-uuid-perl,
         libdbi-perl,
         libdbix-admin-createtable-perl,
         libdigest-sha-perl,
         libfile-slurper-perl,
         libfreezethaw-perl,
         libhash-fieldhash-perl,
         libjson-perl,
         libscalar-list-utils-perl,
         libtry-tiny-perl,
         libyaml-tiny-perl
Recommends: libberkeleydb-perl,
            libcache-memcached-perl,
            libdbd-mysql-perl,
            libdbd-odbc-perl,
            libdbd-pg-perl,
            libdbd-sqlite3-perl
Suggests: libdbd-oracle-perl
Description: Perl module for persistent session data management
 Data::Session is typically used by a CGI script to preserve state data between
 runs of the script. This gives the end user the illusion that the script never
 exits.
 .
 It can also be used to communicate between 2 scripts, as long as they agree
 beforehand what session id to use.
 .
 See Data::Session::CGISession for an extended discussion of the design changes
 between Data::Session and CGI::Session.
 .
 Data::Session stores user data internally in a hashref, and the module
 reserves key names starting with '_'.
 .
 The current list of reserved keys is documented under "flush()". Of course,
 the module also has a whole set of methods to help manage state.
