=== debian/watch ===
version=4
https://metacpan.org/release/Data-Session   .*/Data-Session-v?@ANY_VERSION@@ARCHIVE_EXT@$
